Package uk.ac.starlink.topcat.plot2

## Class XYArrayCoordPanel

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.CoordPanel
  - - uk.ac.starlink.topcat.plot2.PositionCoordPanel
    - - uk.ac.starlink.topcat.plot2.XYArrayCoordPanel

-     public class XYArrayCoordPanel
      extends PositionCoordPanel

  CoordPanel for 2-d vector-valued coordinates.
  Since:
    26 Jan 2021
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XYArrayCoordPanel​(uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord[] coords)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `autoPopulate()` | Makes some attempt to fill in the fields with non-blank values.
    `uk.ac.starlink.ttools.plot2.DataGeom` | `getDataGeom()` | Returns null.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.PositionCoordPanel

      `multiplyCoords`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

      `addActionListener, addButtons, getActionForwarder, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getTable, populate, removeActionListener, setColumnSelector, setTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XYArrayCoordPanel

          public XYArrayCoordPanel​(uk.ac.starlink.ttools.plot2.data.FloatingArrayCoord[] coords)

      Constructor.
      Parameters:
        `coords` - 2-element array giving X and Y array coordinates

  - ### Method Detail

    - #### getDataGeom

          public uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()

      Returns null.
      Specified by:
        `getDataGeom` in class `PositionCoordPanel`
      Returns:
        data geom

    - #### autoPopulate

          public void autoPopulate()

      Description copied from class: `CoordPanel`
      Makes some attempt to fill in the fields with non-blank values. The default implementation fills in the first few suitable columns, but subclasses are encouraged to override this behaviour if something smarter is possible.
      Overrides:
        `autoPopulate` in class `CoordPanel`